package dev.lonami.talaria.ui

import androidx.lifecycle.ViewModel
import dev.lonami.talaria.data.MessageSource
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow

class ChatViewModel : ViewModel() {
    private val _uiState = MutableStateFlow(ChatUiState())
    val uiState: StateFlow<ChatUiState> = _uiState.asStateFlow()

    private fun loadMessages() {
        _uiState.value = ChatUiState(MessageSource.loadMessages())
    }

    init {
        loadMessages()
    }
}
